/*
CilokGaming GI E11 Shaders
*/

//////////Fragment Shader//////////Fragment Shader//////////Fragment Shader//////////
#ifdef FSH

/*

CilokGaming Shaders (Remake)
Original Shaders = Seus v10.2 Ultra

*/

#include "/lib/settings.glsl"

//upper majority of sky

varying vec4 color;

const int GL_LINEAR = 9729;
const int GL_EXP = 2048;

uniform int fogMode;




void main() {
	
	vec3 skyColor = color.rgb * 0.9f;
	float skyColorBoost = 0.0f;
	
		 skyColor.r = skyColor.r * (1.0f + skyColorBoost) - (skyColor.g * skyColorBoost / 2.0f) - (skyColor.b * skyColorBoost / 2.0f);
		 skyColor.g = skyColor.g * (1.0f + skyColorBoost) - (skyColor.r * skyColorBoost / 2.0f) - (skyColor.b * skyColorBoost / 2.0f);
		 skyColor.b = skyColor.b * (1.0f + skyColorBoost) - (skyColor.r * skyColorBoost / 2.0f) - (skyColor.g * skyColorBoost / 2.0f);

		 skyColor.rgb = gl_Fog.color.rgb;

	// if (color.a < 0.6f)
	// {
	// 	skyColor.rgb = vec3(1.0f);
	// }

	gl_FragData[0] = vec4(skyColor.rgb, color.a);
	gl_FragData[1] = vec4(0.0f, 1.0f, 0.0f, 1.0f);
	
	
	//gl_FragData[2] = vec4(0.0f, 0.0f, 0.0f, 1.0f);
	//gl_FragData[3] = vec4(0.0f, 0.0f, 0.0f, 1.0f);
}

#endif

//////////Vertex Shader//////////Vertex Shader//////////Vertex Shader//////////
#ifdef VSH

/*

CilokGaming Shaders (Remake)
Original Shaders = Seus v10.2 Ultra

*/

#include "/lib/settings.glsl"

varying vec4 color;

void main() {
	gl_Position = ftransform();
	
	color = gl_Color;

	gl_FogFragCoord = gl_Position.z;
}

#endif
